summaryrefslogtreecommitdiff
path: root/packaging/gentoo
diff options
context:
space:
mode:
authorscarab <scarab@0ee4d065-81f0-4d1e-b06c-ff20ad07cc3e>2008-07-06 14:33:13 +0000
committerscarab <scarab@0ee4d065-81f0-4d1e-b06c-ff20ad07cc3e>2008-07-06 14:33:13 +0000
commit0e55a5d78d9bc231c87677d5036a45249bdb6f4e (patch)
treeb0a25d2325413932ff461535f56cdf4643d90bef /packaging/gentoo
parent0b54abab7cf7f6f88aa6d27d551ba9fe6cd5c477 (diff)
- zaklad pro DESTDIR (bereme ho v potaz stejne jako CMAKE_INSTALL_PREFIX [jedno kterej pouzijem])
- pridan ebuild pro gentoo - oprava config.h kdy sem o5 neinkrementoval to cislo git-svn-id: http://opensvn.csie.org/tuxanci_ng@105 0ee4d065-81f0-4d1e-b06c-ff20ad07cc3e
Diffstat (limited to 'packaging/gentoo')
-rw-r--r--packaging/gentoo/tuxanci-9999.ebuild60
1 files changed, 60 insertions, 0 deletions
diff --git a/packaging/gentoo/tuxanci-9999.ebuild b/packaging/gentoo/tuxanci-9999.ebuild
new file mode 100644
index 0000000..b1db205
--- /dev/null
+++ b/packaging/gentoo/tuxanci-9999.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit games cmake-utils subversion
+
+DESCRIPTION="Tuxanci is first cushion shooter based on well-known Czech game Bulanci."
+HOMEPAGE="http://www.tuxanci.org/"
+#SRC_URI=""
+ESVN_REPO_URI="http://opensvn.csie.org/tuxanci_ng"
+LICENSE="GPL2"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE="alsa dedicated"
+# alsa is used only when building client
+
+DEPEND="!dedicated? (
+ >=media-libs/libsdl-1.2.10
+ >=media-libs/sdl-ttf-2.0.7
+ >=media-libs/sdl-image-1.2.6-r1
+ alsa? (
+ >=media-libs/sdl-mixer-1.2.7
+ )
+ )
+ "
+RDEPEND="${DEPEND}"
+S=${WORKDIR}/${PN}
+src_unpack() {
+ subversion_src_unpack
+ cd "${S}"
+ # setting proper prefix
+ sed -i \
+ -e "s:/usr/local/:${GAMES_PREFIX}/:" config.h \
+ || die "sed config.h failed!"
+ sed -i \
+ -e "s:share/tuxanci-ng:${GAMES_DATADIR}/tuxanci-ng:" src/base/path.h \
+ || die "sed config.h failed!"
+ sed -i \
+ -e "s:DESTDIR PATH_DIR:PATH_DIR:" src/base/path.h \
+ || die "sed config.h failed!"
+ # setting proper install path
+ sed -i \
+ -e "s:CMAKE_INSTALL_DATADIR share/:CMAKE_INSTALL_DATADIR /usr/share/games/:" CMakeLists.txt \
+ || die "sed CMakeLists.txt failed!"
+ sed -i \
+ -e "s:CMAKE_INSTALL_BINDIR bin:CMAKE_INSTALL_BINDIR /usr/games/bin:" src/CMakeLists.txt \
+ || die "sed src/CMakeLists.txt failed!"
+ sed -i \
+ -e "s:CMAKE_INSTALL_LIBDIR lib:CMAKE_INSTALL_LIBDIR /usr/games/lib:" src/CMakeLists.txt \
+ || die "sed src/MakeLists.txt failed!"
+}
+src_compile() {
+ local mycmakeargs
+ use alsa || mycmakeargs="${mycmakeargs} -DNO_Audio=1"
+ use dedicated && mycmakeargs="${mycmakeargs} -DNO_Server=1"
+ cmake-utils_src_compile
+}
+src_install() {
+ cmake-utils_src_install
+}